#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fdk-aac
Version		:	2.0.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Software library for encoding and decoding Advanced Audio Coding (AAC) format audio
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Copyright  1995 - 2018 Fraunhofer-Gesellschaft
URL		:	https://github.com/mstorsjo/fdk-aac

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
The FDK AAC encoder employs a more aggressive default low-pass filter
than is used in other codecs. Higher frequencies are removed so that
more bits are available to better describe sounds of lower frequencies,
improving the overall quality for most combinations of recordings and
listeners. In some, not completely rare, combinations the missing high
frequencies are noticeable. The library allows overriding the low-pass
filter setting, and in the highest VBR mode effectively applies no filter
at al.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)
%doc NOTICE OWNERS
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc

%pre

#after upgrade or remove
%preun

%post -p /usr/sbin/ldconfig

%postun -p /usr/sbin/ldconfig

%changelog
